## qt6-connectivity 6.2.4

=== src/CMakeLists.txt ===
add_subdirectory(bluetooth)
add_subdirectory(nfc)
if(ANDROID)
    add_subdirectory(android)
endif()

if(QT_FEATURE_bluez)
    add_subdirectory(tools/sdpscanner)
endif()

=== tests/CMakeLists.txt ===
if(QT_BUILD_STANDALONE_TESTS)
    # Add qt_find_package calls for extra dependencies that need to be found when building
    # the standalone tests here.
endif()

if(TARGET Qt::Bluetooth)
    if(TARGET Qt::Quick)
        add_subdirectory(bttestui)
    endif()

    add_subdirectory(bluetoothtestdevice)
endif()

qt_build_tests()

=== config.tests/bluez_le/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(config_test_bluez_le LANGUAGES C CXX)

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== config.tests/winrt_bt/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(config_test_winrt LANGUAGES C CXX)

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)
target_link_libraries(${PROJECT_NAME} PUBLIC
    runtimeobject.lib
)

=== src/android/CMakeLists.txt ===
if(TARGET Qt::Bluetooth)
    add_subdirectory(bluetooth)
endif()
if(TARGET Qt::Nfc)
    add_subdirectory(nfc)
endif()

=== tests/manual/CMakeLists.txt ===
if(TARGET Qt::Bluetooth)
    add_subdirectory(qlowenergycontroller)
endif()

=== examples/bluetooth/pingpong/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(btpingpong LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/bluetooth/pingpong")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Quick)
find_package(Qt6 COMPONENTS Bluetooth)

qt_add_executable(btpingpong
    main.cpp
    pingpong.cpp pingpong.h
)
set_target_properties(btpingpong PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
    OUTPUT_NAME "pingpong"
)
target_link_libraries(btpingpong PUBLIC
    Qt::Bluetooth
    Qt::Core
    Qt::Gui
    Qt::Quick
)


# Resources:
set(resource_resource_files
    "assets/Board.qml"
    "assets/Dialog.qml"
    "assets/Menu.qml"
    "assets/main.qml"
)

qt6_add_resources(btpingpong "resource"
    PREFIX
        "/"
    FILES
        ${resource_resource_files}
)

install(TARGETS btpingpong
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/android/bluetooth/CMakeLists.txt ===
qt_get_android_sdk_jar_for_api("android-21" android_sdk)

set(java_sources
    src/org/qtproject/qt/android/bluetooth/QtBluetoothBroadcastReceiver.java
    src/org/qtproject/qt/android/bluetooth/QtBluetoothInputStreamThread.java
    src/org/qtproject/qt/android/bluetooth/QtBluetoothLE.java
    src/org/qtproject/qt/android/bluetooth/QtBluetoothLEServer.java
    src/org/qtproject/qt/android/bluetooth/QtBluetoothSocketServer.java
    src/org/qtproject/qt/android/bluetooth/QtBluetoothGattCharacteristic.java
)

qt_internal_add_jar(Qt${QtConnectivity_VERSION_MAJOR}AndroidBluetooth
    INCLUDE_JARS ${android_sdk}
    SOURCES ${java_sources}
    OUTPUT_DIR "${QT_BUILD_DIR}/jar"
)

install_jar(Qt${QtConnectivity_VERSION_MAJOR}AndroidBluetooth
    DESTINATION jar
    COMPONENT Devel
)

=== src/tools/sdpscanner/CMakeLists.txt ===
#####################################################################
## sdpscanner Tool:
#####################################################################

if(NOT TARGET PkgConfig::BLUEZ)
     qt_find_package(BlueZ PROVIDED_TARGETS PkgConfig::BLUEZ)
endif()


qt_get_tool_target_name(target_name sdpscanner)
qt_internal_add_tool(${target_name}
    TOOLS_TARGET Bluetooth
    INSTALL_DIR "${INSTALL_LIBEXECDIR}"
    SOURCES
        main.cpp
    PUBLIC_LIBRARIES
        PkgConfig::BLUEZ
)

#### Keys ignored in scope 1:.:.:sdpscanner.pro:<TRUE>:
# QT_FOR_CONFIG = "bluetooth-private"
# TEMPLATE = "app"

## Scopes:
#####################################################################

=== tests/auto/qlowenergycharacteristic/CMakeLists.txt ===
#####################################################################
## tst_qlowenergycharacteristic Test:
#####################################################################

qt_internal_add_test(tst_qlowenergycharacteristic
    SOURCES
        tst_qlowenergycharacteristic.cpp
    PUBLIC_LIBRARIES
        Qt::Bluetooth
)

set_target_properties(tst_qlowenergycharacteristic PROPERTIES
    MACOSX_BUNDLE TRUE
)

if (APPLE AND NOT IOS)
    # Ninja has trouble with relative paths, convert to absolute as a workaround
    get_filename_component(SHARED_PLIST_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../shared ABSOLUTE)
    set_target_properties(tst_qlowenergycharacteristic PROPERTIES
        MACOSX_BUNDLE_INFO_PLIST "${SHARED_PLIST_DIR}/Info.macos.plist"
    )
endif()

=== tests/auto/qndeffilter/CMakeLists.txt ===
qt_internal_add_test(tst_qndeffilter
    SOURCES
        tst_qndeffilter.cpp
    PUBLIC_LIBRARIES
        Qt::Nfc
)

=== tests/auto/qndefnfcsmartposterrecord/CMakeLists.txt ===
#####################################################################
## tst_qndefnfcsmartposterrecord Test:
#####################################################################

qt_internal_add_test(tst_qndefnfcsmartposterrecord
    SOURCES
        tst_qndefnfcsmartposterrecord.cpp
    PUBLIC_LIBRARIES
        Qt::Nfc
)

=== debian/changelog ===
qt6-connectivity (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Mar 2022 22:00:04 +0200

qt6-connectivity (6.2.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:35:59 +0100

qt6-connectivity (6.2.2-1) experimental; urgency=medium

  [ Lu YaNing ]
  * Update descriptions.
  * Update symbols.

  [ Patrick Franz ]
  * New upstream release (6.2.2).
  * Bump Qt B-Ds to 6.2.2.
  * Update installed files.

 -- Patrick Franz <deltaone@debian.org>  Fri, 03 Dec 2021 16:55:23 +0100

qt6-connectivity (6.2.1-1) experimental; urgency=medium

  * Initial release (Closes: #999633)

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Nov 2021 22:58:10 +0100

=== debian/control ===
Source: qt6-connectivity
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libbluetooth-dev [linux-any],
               libgl-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
               qt6-declarative-dev (>= 6.2.4+dfsg~),
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-connectivity
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-connectivity.git
Rules-Requires-Root: no

Package: libqt6bluetooth6
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt6bluetooth6-bin, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Connectivity Bluetooth library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Bluetooth part of the Qt 6 Connectivity library.

Package: libqt6bluetooth6-bin
Architecture: linux-any
Section: utils
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Connectivity Bluetooth module helper binaries
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Bluetooth helper binaries.

Package: libqt6nfc6
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: neard
Description: Qt 6 Connectivity NFC library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the NFC part of the Qt 6 Connectivity library.

Package: qt6-connectivity-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libqt6bluetooth6 (= ${binary:Version}),
         libqt6nfc6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Connectivity - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt 6 Connectivity libraries.

## qt6-connectivity 6.3.1

=== debian/changelog ===
qt6-connectivity (6.3.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump minimum CMake version in order to get pkg-config's .pc files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 06 Sep 2022 15:58:25 -0300

qt6-connectivity (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:22:29 +0200

qt6-connectivity (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 11:42:35 +0200

qt6-connectivity (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Jun 2022 00:24:21 +0200

qt6-connectivity (6.2.4-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploaders, only for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Apr 2022 10:17:44 -0300

qt6-connectivity (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:06:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,22 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
-Build-Depends: cmake (>= 3.18~),
+Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libbluetooth-dev [linux-any],
                libgl-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-dev (>= 6.2.4+dfsg~),
-Standards-Version: 4.6.0
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-dev (>= 6.3.1+dfsg~),
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-connectivity
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-connectivity.git

## qt6-connectivity 6.4.1

=== debian/changelog ===
qt6-connectivity (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 19:37:17 +0100

qt6-connectivity (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Oct 2022 23:42:49 +0200

qt6-connectivity (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Oct 2022 18:42:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,20 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libbluetooth-dev [linux-any],
                libgl-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6opengl6-dev (>= 6.4.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-dev (>= 6.3.1+dfsg~),
+               qt6-base-dev (>= 6.4.1+dfsg~),
+               qt6-base-private-dev (>= 6.4.1+dfsg~),
+               qt6-declarative-dev (>= 6.4.1+dfsg~),
 Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-connectivity

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-connectivity 6.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtConnectivity
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Connectivity Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

set(QT_REPO_NOT_WARNINGS_CLEAN TRUE)
find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core Network)
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS DBus Gui Widgets Quick)

if(NOT TARGET Qt::Network)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt::Network\" is not met.")
    return()
endif()

qt_build_repo()

=== examples/CMakeLists.txt ===
qt_examples_build_begin(EXTERNAL_BUILD)

if(TARGET Qt::Bluetooth)
    add_subdirectory(bluetooth)
endif()
if(TARGET Qt::Nfc)
    add_subdirectory(nfc)
endif()

qt_examples_build_end()

=== config.tests/bluez/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(config_test_bluez LANGUAGES C CXX)

if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
endif()
if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
endif()

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)
target_compile_options(${PROJECT_NAME} PRIVATE
    -fpermissive
)

=== config.tests/linux_crypto_api/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(config_test_linux_crypto_api LANGUAGES C CXX)

if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
endif()
if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
endif()

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== config.tests/winrt_bt/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 project(config_test_winrt LANGUAGES C CXX)
+
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
+    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
+endif()
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
+    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
+endif()
 
 foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
     find_package(${p})
@@ -20,5 +27,5 @@
     main.cpp
 )
 target_link_libraries(${PROJECT_NAME} PUBLIC
-    runtimeobject.lib
+    runtimeobject
 )

=== src/bluetooth/CMakeLists.txt ===
#####################################################################
## Bluetooth Module:
#####################################################################

qt_internal_add_module(Bluetooth
    SOURCES
        lecmaccalculator_p.h
        qbluetooth.cpp qbluetooth.h
        qbluetoothaddress.cpp qbluetoothaddress.h
        qbluetoothdevicediscoveryagent.cpp qbluetoothdevicediscoveryagent.h qbluetoothdevicediscoveryagent_p.h
        qbluetoothdeviceinfo.cpp qbluetoothdeviceinfo.h qbluetoothdeviceinfo_p.h
        qbluetoothhostinfo.cpp qbluetoothhostinfo.h qbluetoothhostinfo_p.h
        qbluetoothlocaldevice.cpp qbluetoothlocaldevice.h qbluetoothlocaldevice_p.h
        qbluetoothserver.cpp qbluetoothserver.h qbluetoothserver_p.h
        qbluetoothservicediscoveryagent.cpp qbluetoothservicediscoveryagent.h qbluetoothservicediscoveryagent_p.h
        qbluetoothserviceinfo.cpp qbluetoothserviceinfo.h qbluetoothserviceinfo_p.h
        qbluetoothsocket.cpp qbluetoothsocket.h
        qbluetoothsocketbase.cpp qbluetoothsocketbase_p.h
        qbluetoothuuid.cpp qbluetoothuuid.h
        qlowenergyadvertisingdata.cpp qlowenergyadvertisingdata.h
        qlowenergyadvertisingparameters.cpp qlowenergyadvertisingparameters.h
        qlowenergycharacteristic.cpp qlowenergycharacteristic.h
        qlowenergycharacteristicdata.cpp qlowenergycharacteristicdata.h
        qlowenergyconnectionparameters.cpp qlowenergyconnectionparameters.h
        qlowenergycontroller.cpp qlowenergycontroller.h
        qlowenergycontrollerbase.cpp qlowenergycontrollerbase_p.h
        qlowenergydescriptor.cpp qlowenergydescriptor.h
        qlowenergydescriptordata.cpp qlowenergydescriptordata.h
        qlowenergyservice.cpp qlowenergyservice.h
        qlowenergyservicedata.cpp qlowenergyservicedata.h
        qlowenergyserviceprivate.cpp qlowenergyserviceprivate_p.h
        qprivatelinearbuffer_p.h
        qtbluetoothglobal.h qtbluetoothglobal_p.h
    DEFINES
        QT_NO_FOREACH
    LIBRARIES
        Qt::CorePrivate
        Qt::NetworkPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Network
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::NetworkPrivate
    GENERATE_CPP_EXPORTS
    GENERATE_PRIVATE_CPP_EXPORTS
)

#### Keys ignored in scope 1:.:.:bluetooth.pro:<TRUE>:
# OTHER_FILES = "doc/src/*.qdoc"

## Scopes:
#####################################################################

if(QT_FEATURE_bluez)
    qt_internal_extend_target(Bluetooth
        SOURCES
            bluez/adapter1_bluez5.cpp bluez/adapter1_bluez5_p.h
            bluez/battery1.cpp bluez/battery1_p.h
            bluez/bluetoothmanagement.cpp bluez/bluetoothmanagement_p.h
            bluez/bluez5_helper.cpp bluez/bluez5_helper_p.h
            bluez/bluez_data.cpp bluez/bluez_data_p.h
            bluez/device1_bluez5.cpp bluez/device1_bluez5_p.h
            bluez/gattchar1.cpp bluez/gattchar1_p.h
            bluez/gattdesc1.cpp bluez/gattdesc1_p.h
            bluez/gattservice1.cpp bluez/gattservice1_p.h
            bluez/hcimanager.cpp bluez/hcimanager_p.h
            bluez/objectmanager.cpp bluez/objectmanager_p.h
            bluez/profile1.cpp bluez/profile1_p.h
            bluez/profile1context.cpp bluez/profile1context_p.h
            bluez/profilemanager1.cpp bluez/profilemanager1_p.h
            bluez/properties.cpp bluez/properties_p.h
            bluez/remotedevicemanager.cpp bluez/remotedevicemanager_p.h
            bluez/servicemap.cpp bluez/servicemap_p.h
            qbluetoothdevicediscoveryagent_bluez.cpp
            qbluetoothlocaldevice_bluez.cpp
            qbluetoothserver_bluez.cpp
            qbluetoothservicediscoveryagent_bluez.cpp
            qbluetoothserviceinfo_bluez.cpp
            qbluetoothsocket_bluez.cpp qbluetoothsocket_bluez_p.h
            qbluetoothsocket_bluezdbus.cpp qbluetoothsocket_bluezdbus_p.h
        PUBLIC_LIBRARIES # for Linux QEMU (gcc-armv7) on Linux Ubuntu_20_04 (gcc-x86_64)
            Qt::DBus
    )

    if(QT_FEATURE_bluez_le)
        qt_internal_extend_target(Bluetooth
            SOURCES
                lecmaccalculator.cpp
                qleadvertiser_bluez.cpp qleadvertiser_bluez_p.h
                qlowenergycontroller_bluez.cpp qlowenergycontroller_bluez_p.h
                qlowenergycontroller_bluezdbus.cpp qlowenergycontroller_bluezdbus_p.h
        )

        if(QT_FEATURE_linux_crypto_api)
            qt_internal_extend_target(Bluetooth
                DEFINES
                    CONFIG_LINUX_CRYPTO_API
            )
        endif()
    else()
        qt_internal_extend_target(Bluetooth
        SOURCES
            dummy/dummy_helper.cpp dummy/dummy_helper_p.h
            qlowenergycontroller_dummy.cpp qlowenergycontroller_dummy_p.h
        DEFINES
            QT_BLUEZ_NO_BTLE
        )
    endif()

elseif(ANDROID AND NOT ANDROID_EMBEDDED)
    set_property(TARGET Bluetooth APPEND PROPERTY QT_ANDROID_BUNDLED_JAR_DEPENDENCIES
        jar/Qt${QtConnectivity_VERSION_MAJOR}AndroidBluetooth.jar:org.qtproject.qt.android.bluetooth.QtBluetoothBroadcastReceiver
    )
    set_property(TARGET Bluetooth APPEND PROPERTY QT_ANDROID_PERMISSIONS
        android.permission.ACCESS_FINE_LOCATION
        android.permission.BLUETOOTH
        android.permission.BLUETOOTH_ADMIN
        # Android 12 / SDK 31+
        android.permission.BLUETOOTH_SCAN
        android.permission.BLUETOOTH_ADVERTISE
        android.permission.BLUETOOTH_CONNECT
    )

    qt_internal_extend_target(Bluetooth
        SOURCES
            android/androidbroadcastreceiver.cpp android/androidbroadcastreceiver_p.h
            android/devicediscoverybroadcastreceiver.cpp android/devicediscoverybroadcastreceiver_p.h
            android/inputstreamthread.cpp android/inputstreamthread_p.h
            android/jni_android.cpp android/jni_android_p.h
            android/localdevicebroadcastreceiver.cpp android/localdevicebroadcastreceiver_p.h
            android/lowenergynotificationhub.cpp android/lowenergynotificationhub_p.h
            android/serveracceptancethread.cpp android/serveracceptancethread_p.h
            android/servicediscoverybroadcastreceiver.cpp android/servicediscoverybroadcastreceiver_p.h
            android/androidutils.cpp android/androidutils_p.h
            qbluetoothdevicediscoveryagent_android.cpp
            qbluetoothlocaldevice_android.cpp
            qbluetoothserver_android.cpp
            qbluetoothservicediscoveryagent_android.cpp
            qbluetoothserviceinfo_android.cpp
            qbluetoothsocket_android.cpp qbluetoothsocket_android_p.h
            qlowenergycontroller_android.cpp qlowenergycontroller_android_p.h
        DEFINES
            QT_ANDROID_BLUETOOTH
        LIBRARIES
            Qt::CorePrivate
        PRIVATE_MODULE_INTERFACE
            Qt::CorePrivate
    )
elseif(MACOS)
    qt_internal_extend_target(Bluetooth
        SOURCES
            darwin/btcentralmanager.mm darwin/btcentralmanager_p.h
            darwin/btconnectionmonitor.mm darwin/btconnectionmonitor_p.h
            darwin/btdelegates.cpp darwin/btdelegates_p.h
            darwin/btdeviceinquiry.mm darwin/btdeviceinquiry_p.h
            darwin/btdevicepair.mm darwin/btdevicepair_p.h
            darwin/btgcdtimer.mm darwin/btgcdtimer_p.h
            darwin/btl2capchannel.mm darwin/btl2capchannel_p.h
            darwin/btledeviceinquiry.mm darwin/btledeviceinquiry_p.h
            darwin/btnotifier.cpp darwin/btnotifier_p.h
            darwin/btobexsession.mm darwin/btobexsession_p.h
            darwin/btperipheralmanager.mm darwin/btperipheralmanager_p.h
            darwin/btraii.mm darwin/btraii_p.h
            darwin/btrfcommchannel.mm darwin/btrfcommchannel_p.h
            darwin/btsdpinquiry.mm darwin/btsdpinquiry_p.h
            darwin/btservicerecord.mm darwin/btservicerecord_p.h
            darwin/btsocketlistener.mm darwin/btsocketlistener_p.h
            darwin/btutility.mm darwin/btutility_p.h
            darwin/uistrings.cpp darwin/uistrings_p.h
            qbluetoothdevicediscoveryagent_darwin.mm
            qbluetoothlocaldevice_macos.mm
            qbluetoothserver_macos.mm
            qbluetoothservicediscoveryagent_macos.mm
            qbluetoothserviceinfo_macos.mm
            qbluetoothsocket_macos.mm qbluetoothsocket_macos_p.h
            qlowenergycontroller_darwin.mm qlowenergycontroller_darwin_p.h
        DEFINES
            QT_OSX_BLUETOOTH
        LIBRARIES
            ${FWFoundation}
            ${FWIOBluetooth}
    )
elseif(IOS OR TVOS)
    qt_internal_extend_target(Bluetooth
        SOURCES
            darwin/btcentralmanager.mm darwin/btcentralmanager_p.h
            darwin/btdelegates.cpp darwin/btdelegates_p.h
            darwin/btgcdtimer.mm darwin/btgcdtimer_p.h
            darwin/btledeviceinquiry.mm darwin/btledeviceinquiry_p.h
            darwin/btnotifier.cpp darwin/btnotifier_p.h
            darwin/btraii.mm darwin/btraii_p.h
            darwin/btutility.mm darwin/btutility_p.h
            darwin/uistrings.cpp darwin/uistrings_p.h
            qbluetoothdevicediscoveryagent_darwin.mm
            qbluetoothlocaldevice_p.cpp
            qbluetoothserver_p.cpp
            qbluetoothservicediscoveryagent_p.cpp
            qbluetoothserviceinfo_p.cpp
            qbluetoothsocket_dummy.cpp qbluetoothsocket_dummy_p.h
            qlowenergycontroller_darwin.mm qlowenergycontroller_darwin_p.h
        DEFINES
            QT_IOS_BLUETOOTH
        LIBRARIES
            ${FWCoreBluetooth}
            ${FWFoundation}
    )

    if(IOS)
        qt_internal_extend_target(Bluetooth
            SOURCES
                darwin/btperipheralmanager.mm darwin/btperipheralmanager_p.h
        )
    endif()
elseif(QT_FEATURE_winrt_bt)
    qt_internal_extend_target(Bluetooth
        SOURCES
            qbluetoothdevicediscoveryagent_winrt.cpp
            qbluetoothlocaldevice_winrt.cpp
            qbluetoothserver_winrt.cpp
            qbluetoothservicediscoveryagent_winrt.cpp
            qbluetoothserviceinfo_winrt.cpp
            qbluetoothsocket_winrt.cpp qbluetoothsocket_winrt_p.h
            qbluetoothutils_winrt.cpp qbluetoothutils_winrt_p.h
            qlowenergycontroller_winrt.cpp qlowenergycontroller_winrt_p.h
            qbluetoothdevicewatcher_winrt.cpp qbluetoothdevicewatcher_winrt_p.h
        DEFINES
            QT_WINRT_BLUETOOTH
        LIBRARIES
            Qt::CorePrivate
        PUBLIC_LIBRARIES
            Qt::Core
            runtimeobject
            user32
        PRIVATE_MODULE_INTERFACE
            Qt::CorePrivate
    )
else()
    qt_internal_extend_target(Bluetooth
        SOURCES
            dummy/dummy_helper.cpp dummy/dummy_helper_p.h
            qbluetoothdevicediscoveryagent_p.cpp
            qbluetoothlocaldevice_p.cpp
            qbluetoothserver_p.cpp
            qbluetoothservicediscoveryagent_p.cpp
            qbluetoothserviceinfo_p.cpp
            qbluetoothsocket_dummy.cpp qbluetoothsocket_dummy_p.h
            qlowenergycontroller_dummy.cpp qlowenergycontroller_dummy_p.h
    )
endif()

qt_internal_add_docs(Bluetooth
    doc/qtbluetooth.qdocconf
)

=== examples/bluetooth/btchat/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(btchat LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/bluetooth/btchat")

find_package(Qt6 REQUIRED COMPONENTS Bluetooth Core Widgets)

qt_add_executable(btchat
    chat.cpp chat.h chat.ui
    chatclient.cpp chatclient.h
    chatserver.cpp chatserver.h
    main.cpp
    remoteselector.cpp remoteselector.h remoteselector.ui
)

set_target_properties(btchat PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(btchat PUBLIC
    Qt::Bluetooth
    Qt::Core
    Qt::Widgets
)

install(TARGETS btchat
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/bluetooth/btscanner/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(btscanner LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/bluetooth/btscanner")

find_package(Qt6 REQUIRED COMPONENTS Bluetooth Core Widgets)

qt_add_executable(btscanner
    device.cpp device.h device.ui
    main.cpp
    service.cpp service.h service.ui
)

set_target_properties(btscanner PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

if (APPLE)
    if (IOS)
        set_target_properties(btscanner PROPERTIES
            MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist"
        )
    else()
        # Using absolute path for shared plist files is a Ninja bug workaround
        get_filename_component(SHARED_PLIST_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../shared ABSOLUTE)
        set_target_properties(btscanner PROPERTIES
            MACOSX_BUNDLE_INFO_PLIST "${SHARED_PLIST_DIR}/Info.cmake.macos.plist"
        )
    endif()
endif()

target_link_libraries(btscanner PUBLIC
    Qt::Bluetooth
    Qt::Core
    Qt::Widgets
)

install(TARGETS btscanner
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/bluetooth/heartrate-game/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(heartrate-game LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/bluetooth/heartrate-game")

find_package(Qt6 REQUIRED COMPONENTS Bluetooth Core Gui Qml Quick)

qt_add_executable(heartrate-game
    bluetoothbaseclass.cpp bluetoothbaseclass.h
    connectionhandler.cpp connectionhandler.h
    devicefinder.cpp devicefinder.h
    devicehandler.cpp devicehandler.h
    deviceinfo.cpp deviceinfo.h
    heartrate-global.h
    main.cpp
)

set_target_properties(heartrate-game PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(heartrate-game PUBLIC
    Qt::Bluetooth
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
)

qt_add_qml_module(heartrate-game
    URI Shared
    VERSION 1.0
    NO_RESOURCE_TARGET_PATH
)

if (APPLE)
    if (IOS)
        set_target_properties(heartrate-game PROPERTIES
            MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist"
        )
    else()
        # Using absolute path for shared plist files is a Ninja bug workaround
        get_filename_component(SHARED_PLIST_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../shared ABSOLUTE)
        set_target_properties(heartrate-game PROPERTIES
            MACOSX_BUNDLE_INFO_PLIST "${SHARED_PLIST_DIR}/Info.cmake.macos.plist"
        )
    endif()
endif()

# Resources:
set(qml_resource_files
    "qml/App.qml"
    "qml/BluetoothAlarmDialog.qml"
    "qml/BottomLine.qml"
    "qml/Connect.qml"
    "qml/GameButton.qml"
    "qml/GamePage.qml"
    "qml/GameSettings.qml"
    "qml/Measure.qml"
    "qml/SplashScreen.qml"
    "qml/Stats.qml"
    "qml/StatsLabel.qml"
    "qml/TitleBar.qml"
    "qml/main.qml"
    "qml/qmldir"
)

qt6_add_resources(heartrate-game "qml"
    PREFIX
        "/"
    FILES
        ${qml_resource_files}
)

set(images_resource_files
    "qml/images/bt_off_to_on.png"
    "qml/images/heart.png"
    "qml/images/logo.png"
)

qt6_add_resources(heartrate-game "images"
    PREFIX
        "/"
    FILES
        ${images_resource_files}
)

install(TARGETS heartrate-game
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/nfc/annotatedurl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(annotatedurl LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/nfc/annotatedurl")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Nfc Widgets)

qt_add_executable(annotatedurl
    MANUAL_FINALIZATION
    annotatedurl.cpp annotatedurl.h
    main.cpp
    mainwindow.cpp mainwindow.h
)

set_target_properties(annotatedurl PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

if(IOS)
    set_target_properties(annotatedurl PROPERTIES
        MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist"
    )
endif()

target_link_libraries(annotatedurl PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Nfc
    Qt::Widgets
)

if(ANDROID)
    set_property(TARGET annotatedurl
        APPEND PROPERTY QT_ANDROID_PACKAGE_SOURCE_DIR
        ${CMAKE_CURRENT_SOURCE_DIR}/android
    )
endif()

qt_finalize_target(annotatedurl)

install(TARGETS annotatedurl
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/nfc/ndefeditor/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(ndefeditor LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/nfc/ndefeditor")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Nfc Widgets)

qt_add_executable(ndefeditor
    MANUAL_FINALIZATION
    main.cpp
    mainwindow.cpp mainwindow.h mainwindow.ui
    mimeimagerecordeditor.cpp mimeimagerecordeditor.h mimeimagerecordeditor.ui
    textrecordeditor.cpp textrecordeditor.h textrecordeditor.ui
    urirecordeditor.cpp urirecordeditor.h urirecordeditor.ui
)

set_target_properties(ndefeditor PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

if(IOS)
    set_target_properties(ndefeditor PROPERTIES
        MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist"
    )
endif()

target_link_libraries(ndefeditor PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Nfc
    Qt::Widgets
)

if(ANDROID)
    set_property(TARGET ndefeditor
        APPEND PROPERTY QT_ANDROID_PACKAGE_SOURCE_DIR
        ${CMAKE_CURRENT_SOURCE_DIR}/android
    )
endif()

qt_finalize_target(ndefeditor)

install(TARGETS ndefeditor
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/tools/sdpscanner/CMakeLists.txt ===
#####################################################################
## sdpscanner Tool:
#####################################################################

if(NOT TARGET PkgConfig::BLUEZ)
     qt_find_package(BlueZ PROVIDED_TARGETS PkgConfig::BLUEZ)
endif()

qt_internal_add_app(sdpscanner
    INSTALL_DIR "${INSTALL_LIBEXECDIR}"
    SOURCES
        main.cpp
    LIBRARIES
        PkgConfig::BLUEZ
)

=== debian/changelog ===
qt6-connectivity (6.4.2-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:47:01 +1100

qt6-connectivity (6.4.2-5build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:58:37 +0000

qt6-connectivity (6.4.2-5) unstable; urgency=medium

  [ Pino Toscano ]
  * Change the architecture of qt6-connectivity-examples to linux-any, as this
    module is specific for Linux.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Oct 2023 20:22:01 +0200

qt6-connectivity (6.4.2-4) unstable; urgency=medium

  * Team upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 13:27:59 -0300

qt6-connectivity (6.4.2-3) experimental; urgency=medium

  * Team upload to experimental.

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation and examples packages (Closes: #1042273).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 28 Jul 2023 17:21:31 -0300

qt6-connectivity (6.4.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne
    (Closes: #1033647).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jun 2023 00:38:39 +0200

qt6-connectivity (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Sun, 22 Jan 2023 11:20:28 +0100

qt6-connectivity (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:12 +0100

qt6-connectivity (6.4.2~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump standards version to 4.6.2. No changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:26:18 +0100

=== debian/control ===
Source: qt6-connectivity
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               libbluetooth-dev [linux-any],
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.4.2+dfsg~),
               qt6-base-private-dev (>= 6.4.2+dfsg~),
               qt6-declarative-dev (>= 6.4.2+dfsg~),
Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-connectivity
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-connectivity.git
Rules-Requires-Root: no

Package: libqt6bluetooth6
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt6bluetooth6-bin, ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Connectivity Bluetooth library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Bluetooth part of the Qt 6 Connectivity library.

Package: libqt6bluetooth6-bin
Architecture: linux-any
Section: utils
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Connectivity Bluetooth module helper binaries
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Bluetooth helper binaries.

Package: libqt6nfc6
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: neard,
Description: Qt 6 Connectivity NFC library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the NFC part of the Qt 6 Connectivity library.

Package: qt6-connectivity-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libqt6bluetooth6 (= ${binary:Version}),
         libqt6nfc6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Connectivity - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt 6 Connectivity libraries.

Package: qt6-connectivity-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 connectivity documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 connectivity.

Package: qt6-connectivity-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 connectivity HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 connectivity.

Package: qt6-connectivity-examples
Architecture: linux-any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 connectivity examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt connectivity submodule.

## qt6-connectivity 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 cmake_minimum_required(VERSION 3.16)
 
 include(.cmake.conf)
@@ -10,7 +13,9 @@
 
 set(QT_REPO_NOT_WARNINGS_CLEAN TRUE)
 find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core Network)
-find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS DBus Gui Widgets Quick)
+find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS
+    DBus Gui Widgets Quick QuickControls2)
+qt_internal_project_setup()
 
 if(NOT TARGET Qt::Network)
     message(NOTICE "Skipping the build as the condition \"TARGET Qt::Network\" is not met.")

=== tests/auto/qndefnfcsmartposterrecord/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qndefnfcsmartposterrecord Test:
#####################################################################

qt_internal_add_test(tst_qndefnfcsmartposterrecord
    SOURCES
        tst_qndefnfcsmartposterrecord.cpp
    LIBRARIES
        Qt::Nfc
)

=== debian/changelog ===
qt6-connectivity (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.

 -- Patrick Franz <deltaone@debian.org>  Mon, 11 Dec 2023 22:04:06 +0100

qt6-connectivity (6.6.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 18 Nov 2023 10:21:46 +0100

qt6-connectivity (6.6.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 17 Nov 2023 22:34:31 +0100

qt6-connectivity (6.6.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.0).
  * Bump Qt B-Ds to 6.6.0.
  * Add libpcsclite-dev as a build-dependency.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 17 Nov 2023 01:12:45 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl
